Bug 474491 - NetworkManager can't connect to an access point running WPA2
NetworkManager can't connect to an access point running WPA2
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-03 20:20 EST by Paul Stimpson
Modified: 2009-11-10 19:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-10 19:41:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Extract from /var/log/messages (4.60 KB, text/plain)
2008-12-03 20:20 EST, Paul Stimpson
no flags Details
Extract from dmesg (920 bytes, text/plain)
2008-12-03 20:20 EST, Paul Stimpson
no flags Details

  None (edit)
Description Paul Stimpson 2008-12-03 20:20:18 EST
Created attachment 325620 [details]
Extract from /var/log/messages

Description of problem:

Attempts to connect to a WPA (PSK passphrase) secured wireless network on a Belkin F5D7632-4 access point using KNetworkManager fail despite other devices being able to connect with the same credentials.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Click KNetwork Manager icon and select WPA network.

2. Enter passphrase when prompted.
Actual results:

KNetworkManager icon spins whilst trying to connect then the network secrets dialogue appears again. This sequence repeats. Very occasionally (one time in weeks) connection is successful.

Expected results:

Machine should successfully join wireless network.

Additional info:

Tests carried out on a Dell Precision M6300 (IWL4965) and Lenovo Thinkpad Z61 (IWL3945). Symptoms the same with a Zydas ZD1211rw USB stick on the Dell. e have 2 of the Belkin Access points and get the same result with both even though both work with the same hardware on Windows and on my BlackBerry. Works fine on a 3Com access point running WPA.

Various Google searches lead me to suspect this problem is related to the Belkin AP. Used to work fine in Ubuntu Hardy. FC9 (i386 and x86_64), FC10, Ubuntu Intrepid and Mint 6 all fail to connect.

/var/log/messages and dmesg extracts from FC10 i686 Live CD attached. Problem exists in installed version too.
Comment 1 Paul Stimpson 2008-12-03 20:20:58 EST
Created attachment 325621 [details]
Extract from dmesg
Comment 2 Paul Stimpson 2008-12-05 07:28:22 EST
Update: I just configured a Netgear WGR416v7 router for someone, set it to WPA2 and had the same problem.
Comment 3 Dan Williams 2009-02-13 07:34:12 EST
What kernel version are you running?  Does this get any better with recent kernel updates 2009?
Comment 4 Jessica Sterling 2009-03-06 16:55:29 EST
This bug has been triaged

Fedora Bugzappers volunteer triage team
Comment 5 Dan Williams 2009-11-10 19:41:45 EST
If this still happens with latest F10 kernel updates, or with F11 or F12, please re-open and let us know the details.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.